//PassFile.h

#ifndef PASS_FILE_HEADER
#define PASS_FILE_HEADER

#include <fstream>
#include <string>
#include <map>

#include "sha2.h"

class PassFile{
public:
    PassFile(sha2::SHA_TYPE shaType, const char *fileName, const char *salt);
    ~PassFile();
    void AddUser(const char *user, const char *pass);
    bool ChangePass(const char *user, const char *pass);//false if user not found
    bool CheckUser(const char *user, const char *pass);//false if bad user or password

private:
    std::string m_strSalt, m_strFileName;
    std::map <std::string, std::string> m_map;
    bool m_boolChangesMade;
    void flush2file();
    sha2::SHA_TYPE m_ShaType;
};

#endif //PASS_FILE_HEADER

